{% extends 'layout.html' %}
{% load static%}
{% block content %}


<div class="container text-center">
    <div class="row">
        <!-- This column will hide on small screens and display normally on medium screens and up -->
        <div class="col-md-6 d-none d-md-block">
            <div class="d-flex align-items-center justify-content-center" style="height: 100%;">
                <img src="{% static 'images/login3.png' %}" alt="diagrama" style="width: 100%;">
            </div>
        </div>
        
        <!-- This column will take full width on small screens and 6 columns width on medium screens and up -->
        <div class="col-12 col-md-6">
            <div class="card " style="width: 100%">
                <div class="card-body">
                    <h4 class="card-title">SignUp</h4>
                    {% if error %}
                    <div class="alert alert-danger" role="alert">
                        {{error}}
                      </div>
                    {% endif %}  
                    <p class="card-text">Login or register before continue:</p>
                    <form action="{% url 'signup' %}" method="POST">
                        {% csrf_token %}
                        {{ form.as_p }}    
                    <button type="submit" class="btn" style="color: white; background-color: #69a7ae;" >SignUp!</button>
                    </form>
                </div>
            </div>   
        </div>

        <!-- This column is unnecessary and can be removed if it only serves to provide spacing -->
        <!-- <div class="col-2 d-none d-md-block"></div> -->
    </div>
</div>


{% endblock %} 